/* police de caratère */
@font-face {
    font-family: 'Roboto';
    src: url(/fonts/Roboto-Regular.ttf);
}

/* agit sur l'intégralité du document HTML */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* fixe les propriétes globales de la page */
body{
    min-height: 100%;
    max-width: 100vw;
    overflow-x: hidden;
    font-family: 'Roboto';
}

main{
    margin-top: 100px;
}

/* supprime le style par défaut de tous les liens */
a{
    text-decoration: none;
}

/* en-tête de lapage */
header{
    background-color: #07111b;
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: auto;
    width: 100vw;
    box-shadow: 0px 8px 20px 0px rgba(0,0,0,0.60);
    position: absolute;
    top: 0;
    left: 0;
}

/* les images du header */
.logo, .login-logo{
    height: fit-content;
    width: fit-content;
    padding: 2vh 1vh;
}

.logo img:hover {
    transform: rotate(360deg);
    transition: ease-in 0.6s, ease-out 0.9s;
  }

.logo img{
    height: 15vh;
    width: auto;
}


.login-logo img{
    height: 10vh;
    width: 10vh;
}

/* les liens du menu */
.menu{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

.menu ul{
    display: flex;
    flex-direction: row;
}

.menu ul li{
    list-style-type: none;
}

.menu ul li:hover{
    text-decoration: underline rgb(255, 16, 67);
}

.menu a{
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: white;
    padding: 14px 16px;
    font-size: 1.5em;
    letter-spacing: 0.2em;
}

/* repérage de la page active */
.current-page{
    color: #FF1043 !important;
}


.title{
    position: absolute;
    left: 50%;
    top: 45%;
    transform: translate(-50%,-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    gap: 10px;
}

.title p{
    font-size: 1.7em;
}

/* span pour le titre */
.separator{
    height: 5px;
    width: 150px;
    background-color: white;
}

.main-text{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
    text-transform: uppercase;
}

.main-text h1{
    letter-spacing: 0.2em;
}

.background-image{
    
    background-image: linear-gradient(0deg, rgba(7,17,27,1) 0%, rgba(255,16,67,0.5) 100%), url("/images/affiche-chihiro.jpg");
    height: 100vh;
    width: 100vw;
    background-size: cover;
}

.page-separator{
    height: 30vh;
    width: 100vw;
    background-color: #07111B;
    position: relative;
}

/* effet superposition des affiches sur l'image de fond */
.page-separator .cards-films{
    position: absolute;
    top: -5%;
    left: 50%;
    transform: translate(-50%,-50%);
    display: flex;
    justify-content: center;
    align-items: center;
}


.card{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4em;
}


.movie-poster-info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    gap: 10px;
    padding-bottom: 0.5em;
}

.movie-poster{
    height: 430px;
    width: 300px;
    display: flex;
    flex-direction: column-reverse;
    border: 1px solid #FF1043;
}


.movie-poster:hover{
    transform: scale(110%);
    transition: ease(200);
}

.content-page{
    height: 100vh;
    color: white;
    background-color: #0A141E;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* div contenant le footer */
#footer-container{
    background-color: #07111b;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    width: 100vw;
    padding: 2rem 5rem;
    height: 2fr;
}

/* réseaux sociaux */
.social-networks{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: baseline;
    gap: 2em;
}

.social-networks a img{
    height: 50px;
    padding: 10%;
}

/* barre recherche */

.search{
    display: flex;
    justify-content: center;
    align-items: center;
}

.search-bar {
    width: 100%;
    position: relative;
    display: flex;
}

.search-term {
    width: 100%;
    border: 3px solid #FF1043;
    border-right: none;
    padding: 5px;
    height: fit-content;
    border-radius: 5px 0 0 5px;
    outline: none;
    color: white;
    background-color: black;
}

.search-term:focus{
    color: white;
}

.search-button {
    width: 45px;
    border: 1px solid #FF1043;
    background: #FF1043;
    text-align: center;
    color: white;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
    font-size: 25px;
}

.search-button img{
    height: 0.8em;
    width: 0.8em;
}

/* propriété globale pour tout les boutons */
.global-button{
    background-color: #ff1043;
    height: 32px;
    width: 280px;
    margin: 0 1em;
    padding: 0.5em;
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    font-size: 0.8em;
    border-radius: 100px;
    transition: all 0.5s ease 0s;
    border: none;
}

.global-button:hover{
    background-color: rgb(210, 210, 210);
    color: black;
    cursor: pointer;
}

/* bouton en savoir plus */
.details-button{
    height: 50px;
    width: 200px;
    margin-top: 2em;
}
